\def\filedate{2018/06/26}
\def\fileversion{1.0-dev}

\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{pgfplotsthemeustutt}[\filedate\space Version \fileversion\space by Philipp Tempel <philipp.tempel@isw.uni-stuttgart.de>]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% commands

% |\tikzustuttset| allows keys that belong to pgf-ustutt to be easily set.
\newcommand\tikzustuttset[1]{\tikzset{/ustutt/.cd, #1}}%
% |\tikzustuttget| allows keys that belong to pgf-ustutt to be easily retrieved.
\newcommand\tikzustuttget[1]{\pgfkeysvalueof{/ustutt/#1}}%
% |\pgfustuttresetstyle| allows resetting a style within pgf-ustutt quite easily
\newcommand\pgfustuttresetstyle[1]{\tikzset{/ustutt/#1/.style={}}}%

%% END commands
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% additional tikz/pgf libraries to load                                      %%

\usepgflibrary{plotmarks}
\usepgflibrary{fpu}
\usetikzlibrary{3d}
\usetikzlibrary{colorbrewer}
\usetikzlibrary{arrows}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{bending}
\usetikzlibrary{calc}
\usetikzlibrary{decorations.pathmorphing}
\usetikzlibrary{decorations.markings}
\usetikzlibrary{external}
\usetikzlibrary{fadings}
\usetikzlibrary{patterns}
\usetikzlibrary{pgfplots.statistics}
\usetikzlibrary{shapes.misc}
\usetikzlibrary{spy}
\usetikzlibrary{through}
\usetikzlibrary{angles}
\usetikzlibrary{arrows}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{backgrounds}
\usetikzlibrary{calc}
\usetikzlibrary{decorations}
\usetikzlibrary{decorations.text}
\usetikzlibrary{decorations.markings}
\usetikzlibrary{fit}
\usetikzlibrary{intersections}
\usetikzlibrary{mindmap}
\usetikzlibrary{patterns}
\usetikzlibrary{pgfplots.groupplots}
\usetikzlibrary{plotmarks}
\usetikzlibrary{positioning}
\usetikzlibrary{quotes}
\usetikzlibrary{shadows}
\usetikzlibrary{shapes}
\usetikzlibrary{spy}
\usetikzlibrary{trees}

\pgfplotsset{compat=newest}

%% END additional tikz/pgf libraries to load                                  %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% setup

\pgfkeys{%
  % This namespace is a family of namespaces
  /ustutt/.is family,%
  % Fall back to searching inside /pgf/
  /ustutt/.belongs to family=/pgf,%
  % % Forward anything unknown to the '/pgf' namespace
  % /ustutt/.unknown/.forward to=/pgf,%
}%

%% END setup
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% interface

% Set an initially empty style for "remaining keys"
\pgfustuttresetstyle{remaining keys}%

% Handling of unknown options
\tikzustuttset{%
  % Remaining keys not matching in this namespace
  remaining keys/.style={},%
  %
  % collect unknown keys in style 'ustutt/remaining keys':
  .unknown/.code={%
    \let\currname\pgfkeyscurrentname%
    \let\currval\pgfkeyscurrentvalue%
    \ifx#1\pgfkeysnovalue%
      \pgfqkeys{ustutt}{%
        remaining keys/.append style/.expand once={\currname}%
      }%
    \else%
      \pgfqkeys{ustutt}{%
        remaining keys/.append style/.expand twice={\expandafter\currname\expandafter=\currval}%
      }%
    \fi%
  }%
}%

% Marker styling
\newlength\tikz@ustutt@markersize
\tikzustuttset{%
  % Default marker size for automatically marked lines
  marker size/.code={%
    \setlength{\tikz@ustutt@markersize}{#1}%
  },%
  % Set marker size
  marker size=1.50pt,%
  %
  % Default number of markers for automatically marked lines
  marker count/.initial=7,%
}

% Colors
\tikzustuttset{%
  % Axis border and background
  axis border color/.initial=UStuttAnthracite,%
  axis background color/.initial=White,%
  %
  % Legend border color and background
  legend background color/.initial=UStuttGrayVeryLight,%
  legend border color/.initial=UStuttGray,%
  %
  % Grid colors
  minor grid color/.initial=UStuttGray,%
  major grid color/.initial=UStuttGray,%
  %
  % Axes labels
  label color/.initial=UStuttAnthracite,%
  xlabel color/.initial=UStuttAnthracite,%
  ylabel color/.initial=UStuttAnthracite,%
  zlabel color/.initial=UStuttAnthracite,%
  %
  % Axes titles
  title color/.initial=UStuttAnthracite,%
  %
  % Zoom-in Spy Box
  zoom in spy box color/.initial=UStuttAccentOne,%
}

%% END interface
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% node styles

\tikzustuttset{%
  % No inside margin
  no margin/.style={%
    inner sep=0pt,%
  },%
  % A very tight node inside
  very tight margin/.style={%
    inner sep=0.0416625em,%
  },%
  % A tight node inside
  tight margin/.style={%
    inner sep=0.16665em,%
  },%
  % Normal node inside
  normal margin/.style={%
    inner sep=0.3333em,%
  },%
  % Loose node inside
  loose margin/.style={%
    inner sep=0.6666em,%
  },%
  % Very loose node inside
  very loose margin/.style={%
    inner sep=1.3332em,%
  },%
  super loose margin/.style={%
    inner sep=5.3328em,%
  },%
  % No outside distance
  no padding/.style={%
    outer sep=0pt,%
  },%
  % A very tight node outside
  very tight padding/.style={%
    outer sep=0.0416625em,%
  },%
  % A tight node outside
  tight padding/.style={%
    outer sep=0.16665em,%
  },%
  % A normal node outside
  normal padding/.style={%
    outer sep=0.3333em,%
  },%
  % A loose node outside
  loose padding/.style={%
    outer sep=0.6666em,%
  },%
  % A very loose node outside
  very loose padding/.style={%
    outer sep=1.3332em,%
  },%
  super loose padding/.style={%
    outer sep=5.3328em,%
  },%
  % A boxed node
  boxed/.style={%
    draw,%
  },%
  %
  % A highlighted style
  highlighted/.style={%
    color=\tikzustuttget{highlight color},%
  },%
  % Draw a top border
  top border/.style={%
    append after command={%
      \pgfextra{%
        \begin{pgfinterruptpath}%
          \draw[%
              #1,%
            ]%
            (\tikzlastnode.north west)%
            -- (\tikzlastnode.north east)%
            ;%
        \end{pgfinterruptpath}%
      }%
    }%
  },%
  % Draw a right border
  right border/.style={%
    append after command={%
      \pgfextra{%
        \begin{pgfinterruptpath}%
          \draw[%
              #1,%
            ]%
            (\tikzlastnode.north east)%
            -- (\tikzlastnode.south east)%
            ;%
        \end{pgfinterruptpath}%
      }%
    }%
  },%
  % Draw a bottom border
  bottom border/.style={%
    append after command={%
      \pgfextra{%
        \begin{pgfinterruptpath}%
          \draw[%
              #1,%
            ]%
            (\tikzlastnode.south east)%
            -- (\tikzlastnode.south west)%
            ;%
        \end{pgfinterruptpath}%
      }%
    }%
  },%
  % Draw a left border
  left border/.style={%
    append after command={%
      \pgfextra{%
        \begin{pgfinterruptpath}%
          \draw[%
              #1,%
            ]%
            (\tikzlastnode.south west)%
            -- (\tikzlastnode.north west)%
            ;%
        \end{pgfinterruptpath}%
      }%
    }%
  },%
  % left bordered/.initial={},%
  cross/.style={%
    cross out,%
    draw,%
    minimum size=2(#1-\pgflinewidth),%
    inner sep=0pt,%
    outer sep=0pt,%
  },%
  cross/.default={1pt},%
}
%% END node styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% euclidean drawing

\tikzset{%
  % 2D tangent
  tangent/.style={%
    decoration={%
      markings,%
      mark=%
        at position #1%
          with%
          {%
            \coordinate%
              (tangent point-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
              at%
              (0,0);%
            \coordinate%
              (tangent unit vector-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
              at (1,0);%
            \coordinate%
              (normal unit vector-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
              at (0,1);%
          },%
    },%
    postaction=decorate,%
  },%
  use tangent/.style={%
    shift=(tangent point-#1),%
    x=(tangent unit vector-#1),%
    y=(normal unit vector-#1),%
  },%
  use tangent/.default=1,%
  %
  % 3D tangent
  tangent 3/.style={%
    decoration={%
      markings,%
      mark=%
        at position #1%
        with%
        {%
          \coordinate%
            (tangent 3 point-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
            at (0.00,0.00,0.00);%
          \coordinate%
            (tangent 3 unit vector-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
            at (0.00,1.00,0.00);%
          \coordinate%
            (normal 3 unit vector-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
            at (-1.00,0.00,0.00);%
          \coordinate%
            (binormal 3 unit vector-\pgfkeysvalueof{/pgf/decoration/mark info/sequence number})%
            at (0.00,0.00,1.00);%
        },%
    },%
    postaction=decorate,%
  },%
  use tangent 3/.style={%
    shift=(tangent 3 point-#1),%
    x=(tangent 3 unit vector-#1),%
    y=(normal 3 unit vector-#1),%
    z=(binormal 3 unit vector-#1),%
  },%
  use tangent 3/.default=1,%
}

%% END euclidean drawing
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% line styles

\tikzustuttset{%
  % Make every line wider than the usual 4pt
  ultra thin/.style={%
    line width=0.15pt,%
  },%
  very thin/.style={%
    line width=0.30pt,%
  },%
  thin/.style={% DEFAULT
    line width=0.60pt,%
  },%
  semithick/.style={%
    line width=0.90pt,%
  },%
  thick/.style={%
    line width=1.20pt,%
  },%
  very thick/.style={%
    line width=1.60pt,%
  },%
  ultra thick/.style={%
    line width=2.00pt,%
  },%
}


% Coordinate things
\tikzustuttset{%
  % Coordinate system center
  coordinate system/.style={%
    color=UStuttAnthracite,%
  },%
  % A general coordinate axis (X, Y, Z)
  coordinate axis/.style={%
    ->,%
    draw=UStuttAnthracite,%
    color=UStuttAnthracite,%
  },%
  % X-axis: colored red
  coordinate axis x/.style={%
    /ustutt/coordinate axis,%
    color=Red,%
  },%
  % Y-axis: colored green
  coordinate axis y/.style={%
    /ustutt/coordinate axis,%
    color=Green,%
  },%
  % Z-axis: colored blue
  coordinate axis z/.style={%
    /ustutt/coordinate axis,%
    color=Blue,%
  },%
  %
  % Label of any coordinate axis
  coordinate axis label/.style={%
    pos=1.00,%
    % font=\relsize{-1},%
    /ustutt/tight padding,%
    /ustutt/no margin,%
  },%
}

%% END line styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% global tikz styles

\tikzset{%
  % Default line arrow style
  >=Stealth,%
  %
  % Style to avoid additional post actions to be performed
  nomorepostactions/.code={%
    \let\tikz@postactions=\pgfutil@empty%
  },%
  %
  % Per default, the "evenly marked plot" style will do nothing
  evenly marked plot/.style 2 args={%
    mark=#1,%
    mark options={#2},%
    mark repeat=179,%
  },%
  %
  % Every mark a little bit smaller
  mark size=2.15pt,%
}%

% Some styles will not be set in draft mode
\ifdraft{% In draft mode
  %
}{% In non-draft mode
  \tikzset{%
    %
    % Mark the curent line evenly along the x-axis
    evenly marked plot/.style 2 args={%
      postaction={%
        decoration={%
          markings,%
          mark=between positions 0 and 1%
            step (1/(\tikzustuttget{marker count} - 1)*\pgfdecoratedpathlength%
            with {%
              \tikzset{#2, every mark}\tikz@options%
              \pgfuseplotmark{#1}%
            },%
        },%
        decorate,%
      },%
      /pgfplots/legend image post style={%
        mark=#1,%
        every mark/.append style={%
          #2%
        },%
        every path/.append style={%
          nomorepostactions,%
        },%
      },%
    },%
  }%
}

%% END global tikz styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% global pgf styles

% Select only coordinates between a minimum and maximum data index
% `select coords between index={3}{9}` plots data for x-indices [3,4,5,6,7,8,9]
\pgfplotsset{%
  select coords between index/.style 2 args={%
    filter discard warning=false,%
    x filter/.code={%
      \ifnum\coordindex<#1\def\pgfmathresult{}\fi%
      \ifnum\coordindex>#2\def\pgfmathresult{}\fi%
    },%
  },%
  select only coord at index/.style={%
    filter discard warning=false,%
    x filter/.code={%
      \ifnum\coordindex=#1\else\def\pgfmathresult{}\fi%
    },%
  },%
}

% Order of draw layers
\pgfplotsset{%
  /pgfplots/layers/ustutt/.define layer set={%
    axis background,%
    axis grid,%
    pre main,%
    main,%
    post main,%
    axis ticks,%
    axis lines,%
    axis tick labels,%
    axis descriptions,%
    axis foreground,%
  }{%
    /pgfplots/layers/standard%
  },%
}%

% Do not complain about filtered coordinates
\pgfplotsset{%
  filter discard warning=false,%
}

% Make only some axes with fixed logarithmic tick poins
\pgfplotsset{%
  log x ticks with fixed point/.style={%
    xticklabel={%
      \pgfkeys{/pgf/fpu=true}%
      \pgfmathparse{exp(\tick)}%
      \pgfmathprintnumber[fixed relative, precision=3]{\pgfmathresult}%
      \pgfkeys{/pgf/fpu=false}%
    },%
  },%
  log y ticks with fixed point/.style={%
    yticklabel={%
      \pgfkeys{/pgf/fpu=true}%
      \pgfmathparse{exp(\tick)}%
      \pgfmathprintnumber[fixed relative, precision=3]{\pgfmathresult}%
      \pgfkeys{/pgf/fpu=false}%
    },%
  },%
}

%% END global tikz styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% mindmap style

\tikzustuttset{%
  % Default mindmap node
  mindmap node/.style={%
    draw=UStuttAnthracite,%
    fill=White,%
    shape=rectangle,%
    rounded corners=0pt,%
    text centered,%
  },%
  %
  % Root node of a mindmap
  mindmap root/.style={%
    /ustutt/mindmap node,%
  },%
  %
  % Leaf node of a mindmap
  mindmap leaf/.style={%
    /ustutt/mindmap node,%
  },%
  %
  % Node that fits other nodes
  mindmap collection node/.style={%
    draw,%
    shape=rectangle,%
    rounded corners=0pt,%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=UStuttAnthraciteVeryLight,%
    fill opacity=0.25,%
    text opacity=1.00,%
  },%
  %
  % Just a line between nodes
  mindmap line/.style={%
    -,%
    /ustutt/thin,%
    shorten >=0.10ex,%
  },%
  %
  % Directed line between nodes
  mindmap direction/.style={%
    /ustutt/mindmap line,%
    ->,%
  },%
  %
  % Thicker line connecting two nodes
  mindmap vector/.style={%
    /ustutt/mindmap direction,%
    shorten >=0.10ex,%
    /ustutt/thick,%
  },%
  %
  % Style for an annotation node along a line
  mindmap line annotation/.style={%
  },%
}

%% END mindmap style
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%






%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% cycle list styles

% Colors we will go through
\pgfplotscreateplotcyclelist{/ustutt/color list}{%
  {%
    color=UStuttAccent1,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent2,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent3,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent4,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent6,%
    draw opacity=1.00,%
  }%
}
\pgfplotscreateplotcyclelist{/ustutt/color list*}{%
  {%
    color=UStuttAccent1,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent2,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent3,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent4,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent6,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent1Lighter,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent2Lighter,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent3Lighter,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent4Lighter,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent6Lighter,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent1Light,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent2Light,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent3Light,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent4Light,%
    draw opacity=1.00,%
  },{%
    color=UStuttAccent6Light,%
    draw opacity=1.00,%
  }%
}

% Colors we will go through
\pgfplotscreateplotcyclelist{/ustutt/black color}{%
  {%
    color=Black,%
    draw opacity=1.00,%
  }%
}

% Default list of line styles to go through
\pgfplotscreateplotcyclelist{/ustutt/linestyles}{%
  {%
    solid,%
    draw opacity=1.00,%
  },{%
    dashed,%
    draw opacity=1.00,%
  },{%
    dashdotted,%
    draw opacity=1.00,%
  },{%
    dotted,%
    draw opacity=1.00,%
  }%
}

% Extended list of line styles to go through
\pgfplotscreateplotcyclelist{/ustutt/linestyles*}{%
  {%
    solid,%
    draw opacity=1.00,%
  },{%
    dashed,%
    draw opacity=1.00,%
  },{%
    dashdotted,%
    draw opacity=1.00,%
  },{%
    dotted,%
    draw opacity=1.00,%
  },{%
    dashdotdotted,%
    draw opacity=1.00,%
  },{%
    densely dashed,%
    draw opacity=1.00,%
  },{%
    densely dashdotted,%
    draw opacity=1.00,%
  },{%
    densely dotted,%
    draw opacity=1.00,%
  },{%
    densely dashdotdotted,%
    draw opacity=1.00,%
  },{%
    loosely dashed,%
    draw opacity=1.00,%
  },{%
    loosely dashdotted,%
    draw opacity=1.00,%
  },{%
    loosely dotted,%
    draw opacity=1.00,%
  },{%
    loosely dashdotdotted,%
    draw opacity=1.00,%
  }%
}

%% END cycle list styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% mark list
% List of markers to go through
\pgfplotscreateplotcyclelist{/ustutt/mark list}{%
  {%
    mark=*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=square*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=triangle*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=star,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=none,%
      fill opacity=1.00,%
    },%
  },{%
    mark=diamond*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=otimes*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      % fill=\pgfplotsmarklistfill!33,%
      fill=UStuttAnthracite!33,%
      fill opacity=1.00,%
    },%
  },{%
    mark=|,%
    every mark/.append style={%
      solid,%
      rotate=180,%
      draw opacity=1.00,%
      fill=none,%
      fill opacity=1.00,%
    },%
  },{%
    mark=pentagon*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  }%
}

\pgfplotscreateplotcyclelist{/ustutt/mark list*}{%
  {%
    mark=*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=square*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=triangle*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfsquare*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=pentagon*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfcircle*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfdiamond*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      rotate=180,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=otimes*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill!33,%
      fill opacity=1.00,%
    },%
  },{%
    mark=diamond*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfsquare right*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfsquare left*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  }%
}
%% END mark list
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% mark list nth
% List of markers to go through
\pgfplotscreateplotcyclelist{/ustutt/mark list nth}{%
  {%
    mark=*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=square*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=triangle*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=star,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=none,%
      fill opacity=1.00,%
    },%
  },{%
    mark=diamond*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=otimes*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill!33,%
      fill opacity=1.00,%
    },%
  },{%
    mark=|,%
    every mark/.append style={%
      solid,%
      rotate=180,%
      draw opacity=1.00,%
      fill=none,%
      fill opacity=1.00,%
    },%
  },{%
    mark=pentagon*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  }%
}

\pgfplotscreateplotcyclelist{/ustutt/mark list nth*}{%
  {%
    mark=*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=square*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=triangle*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfsquare*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=pentagon*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfcircle*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfdiamond*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      rotate=180,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=otimes*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill!33,%
      fill opacity=1.00,%
    },%
  },{%
    mark=diamond*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfsquare right*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    mark=halfsquare left*,%
    every mark/.append style={%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  }%
}
%% END mark list
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% mark list even

% Different line styles and marking styles at the same time
\pgfplotscreateplotcyclelist{/ustutt/mark list even}{%
  {%
    evenly marked plot={%
      *%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,,%
    },%
  },{%
    evenly marked plot={%
      square*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      triangle*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      halfsquare*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      pentagon*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      halfcircle*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      halfdiamond*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      otimes*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      diamond*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  }%
}%

% Different line styles and marking styles at the same time
\pgfplotscreateplotcyclelist{/ustutt/mark list even*}{%
  {%
    evenly marked plot={%
      *%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      square*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      triangle*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      halfsquare*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      pentagon*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      halfcircle*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      halfdiamond*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      otimes*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=\pgfplotsmarklistfill!33,%
      fill opacity=1.00,%
    },%
  },{%
    evenly marked plot={%
      diamond*%
    }{%
      solid,%
      draw opacity=1.00,%
      fill=White,%
      % fill=\pgfplotsmarklistfill,%
      fill opacity=1.00,%
    },%
  }%
}%
%% END mark list even
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Different patterns for bar plots
\pgfplotscreateplotcyclelist{/ustutt/black patterns}{%
  {%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill,%
    fill opacity=1.00,%
    pattern=north east lines,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill,%
    fill opacity=1.00,%
    pattern=north west lines,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill,%
    fill opacity=1.00,%
    pattern=crosshatch,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill,%
    fill opacity=1.00,%
    pattern=dots,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill,%
    fill opacity=1.00,%
    pattern=crosshatch dots,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill!25,%
    fill opacity=1.00,%
    pattern=north east lines,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill!25,%
    fill opacity=1.00,%
    pattern=north west lines,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill!25,%
    fill opacity=1.00,%
    pattern=crosshatch,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill!25,%
    fill opacity=1.00,%
    pattern=dots,%
  },{%
    draw=UStuttAnthracite,%
    draw opacity=1.00,%
    fill=\pgfplotsmarklistfill!25,%
    fill opacity=1.00,%
    pattern=crosshatch dots,%
  }%
}%

% Add Style to cycle bars with a more natural cycle list name
\pgfplotsset{%
  bar cycle list/.style={%
    cycle list={%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill,%
        fill opacity=1.00,%
        pattern=north east lines,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill,%
        fill opacity=1.00,%
        pattern=north west lines,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill,%
        fill opacity=1.00,%
        pattern=crosshatch,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill,%
        fill opacity=1.00,%
        pattern=dots,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=White,%
        fill opacity=1.00,%
        pattern=crosshatch dots,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill!25,%
        fill opacity=1.00,%
        pattern=north east lines,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill!25,%
        fill opacity=1.00,%
        pattern=north west lines,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill!25,%
        fill opacity=1.00,%
        pattern=crosshatch,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill!25,%
        fill opacity=1.00,%
        pattern=dots,%
      },%
      {%
        draw=UStuttAnthracite,%
        draw opacity=1.00,%
        fill=\pgfplotsmarklistfill!25,%
        fill opacity=1.00,%
        pattern=crosshatch dots,%
      }%
    }%
  }%
}%

%% END cycle list styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% plot styles

\providelength{\subplotwidth}
\providelength{\subplotheight}
\providelength{\subplothsep}
\providelength{\subplotvsep}

\pgfplotsset{%
  % General group settings
  group/horizontal sep=\subplothsep,%
  group/vertical sep=\subplotvsep,%
  %
  % Tufte styles
  tufte-like/.style={%
    separate axis lines,%
    axis x line*=bottom,%
    axis x line shift=8pt,%
    xlabel shift=8pt,%
    axis y line*=left,%
    axis y line shift=8pt,%
    ylabel shift=8pt,%
  },%
  tufte-like right/.style={%
    tufte-like,%
    axis y line*=right,%
    axis y line shift=8pt,%
    ylabel shift=8pt,%
  },%
    %
  plot base/.style={%
    % Scale only axis, not labels
    scale only axis=false,%
    %
    % Layers order
    set layers=ustutt,%
    %
    % Skip coordinates that are outside of plot range
    unbounded coords=discard,%
    %
    % Default font size
    % font=\relsize{-1},%
    %
    % By default, do not add any marks to any of the plots
    % no markers,%
    %
    % I'd like to have no enlarged axes limits by defaults
    enlargelimits=false,%
    %
    % I'd like to have major grids on the y-axis
    ymajorgrids=true,%
    %
    % % And default legend styles
    every axis legend/.append style={%
      % draw=\tikzustuttget{legend border color},%
      draw opacity=1.00,%
      fill=\tikzustuttget{legend background color},%
      fill opacity=0.25,%
      text opacity=1.00,%
      % font=\relsize{-1},%
      at={(0.98,0.98)},%
      anchor=north east,%
      cells={%
        anchor=west,%
      },%
    },%
    %
    % Background of axis environment
    axis background/.append style={%
      fill=\tikzustuttget{axis background color},%
    },%
    %
    % Style of axes lines
    every outer x axis line/.append style={%
      draw=\tikzustuttget{axis border color},%
    },%
    every outer y axis line/.append style={%
      draw=\tikzustuttget{axis border color},%
    },%
    every outer z axis line/.append style={%
      draw=\tikzustuttget{axis border color},%
    },%
    %
    % Draw axes above data
    axis on top=false,%
    %
    % Style of axes labels
    every axis x label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{xlabel color},%
    },%
    every axis y label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{ylabel color},%
    },%
    every axis z label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{zlabel color},%
    },%
    %
    % Style of tick labels
    every x tick label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{xlabel color},%
    },%
    every y tick label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{ylabel color},%
    },%
    every z tick label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{zlabel color},%
    },%
    %
    % Grid styles; axis, major and minor
    every axis grid/.style={%
      % shorten <=-10pt,%
    },%
    every major grid/.style={%
      dashed,%
      draw=\tikzustuttget{major grid color},%
      % shorten <=-10pt,%
    },%
    every minor grid/.style={%
      loosely dashed,%
      draw=\tikzustuttget{minor grid color},%
      % shorten <=-10pt,%
    },%
    %
    % Axes titles
    every axis title/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{title color},%
    },%
    %
    % Styles of `\addplot'
    every axis plot/.append style={%
      semithick,%
    },%
  },%
  %
  % Default line plot style
  line plot/.style={%
    % Inherit
    plot base,%
  },%
  %
  % A time series plot i.e., something-vs-time
  timeseries plot/.style={%
    % General adjustments
    line plot,%
    %
    % X-Axis
    xlabel={Time $t / \si{\second}$},%
  },%
  %
  % Y-bar plot
  ybar plot/.style={%
    % Base style to inherit from
    line plot,%
    % But make it bars
    ybar=#1,%
    %
    % Legend
    every axis legend/.append style={%
      at={(0.98,0.98)},%
      anchor=north east,%
    },%
  },%
  ybar plot/.initial=2pt,%
  %
  % Stacked y-bar plot
  ybar stacked plot/.style={%
    % General adjustments
    ybar plot=#1,%
    ybar stacked,%
  },%
  ybar stacked plot/.initial=2pt,%
  %
  % Boxplot
  boxplot plot/.style={%
    % Base style to inherit from
    line plot,%
    % But make it bars
    ybar=#1,%
    %
    % Legend
    every axis legend/.append style={%
      at={(0.98,0.98)},%
      anchor=north east,%
    },%
  },%
  boxplot plot/.initial=2pt,%
  %
  % Base style for double-y axes plots
  yyaxis line plot/.style={%
    % General styles
    line plot,%
    separate axis lines,%
  },%
  %
  % Double y-axis plot style: left axis
  yyaxis left/.style={%
    % General adjustments
    yyaxis line plot,%
    axis lines*=left,%
    %
    % X-Axis
    axis x line*=bottom,%
    %
    % Y-Axis
    axis y line*=left,%
    ylabel near ticks,%
    %
    % Style of axes labels
    every axis x label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{xlabel color},%
    },%
    every axis y label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{ylabel color},%
    },%
  },%
  %
  % Double y-axis plot style: right axis
  yyaxis right/.style={%
    % General adjustments
    yyaxis line plot,%
    axis lines*=right,%
    %
    % X-Axis
    axis x line=none,%
    %
    % Y-Axis
    axis y line*=right,%
    ylabel near ticks,%
    %
    % Axis
    axis background/.style={%
      fill=none,%
    },%
    %
    % Style of axes labels
    every axis x label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{xlabel color},%
    },%
    every axis y label/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{ylabel color},%
    },%
  },%
  %
  % Boxed axes style
  boxed axes/.style={%
    axis x line*=box,%
    axis y line*=box,%
  },%
  % Lower left axes style
  bottom left axes/.style={%
    axis x line*=bottom,%
    axis y line*=left,%
  },%
  % Top right axes styles
  top right axes/.style={%
    axis x line*=top,%
    axis y line*=right,%
  },%
}

% 3D plot styles
\pgfplotsset{%
  plot base 3d/.style={%
    % Scale only axis, not labels
    scale only axis=false,%
    %
    % Adjust view
    % view={20.00}{17.50},%
    view={15.00}{10.00},%
    %
    % Default font size
    % font=\relsize{-1},%
    %
    % I'd like to have no enlarged axes limits by defaults
    enlargelimits=false,%
    %
    % And default legend styles
    every axis legend/.append style={%
      draw=\tikzustuttget{legend border color},%
      draw opacity=1.00,%
      fill=\tikzustuttget{legend background color},%
      fill opacity=0.25,%
      text opacity=1.00,%
      % font=\relsize{-1},%
      at={(0.02,0.98)},%
      anchor=north west,%
      cells={%
        anchor=west,%
      },%
    },%
    %
    % Background of axis environment
    axis background/.append style={%
      fill=\tikzustuttget{axis background color},%
    },%
    %
    % Style of axes lines
    every outer x axis line/.append style={%
      draw=\tikzustuttget{axis border color},%
    },%
    every outer y axis line/.append style={%
      draw=\tikzustuttget{axis border color},%
    },%
    every outer z axis line/.append style={%
      draw=\tikzustuttget{axis border color},%
    },%
    %
    % Draw axes above data
    axis on top=false,%
    %
    % Style of axes labels
    every axis label/.append style={%
      % font=\relsize{-1},%
    },%
    every axis x label/.append style={%
      color=\tikzustuttget{xlabel color},%
      sloped like x axis,%
    },%
    every axis y label/.append style={%
      color=\tikzustuttget{ylabel color},%
      sloped like y axis,%
    },%
    every axis z label/.append style={%
      color=\tikzustuttget{zlabel color},%
      sloped like z axis,%
    },%
    %
    % Style of tick labels
    every tick label/.append style={%
      color=\tikzustuttget{xlabel color},%
    },%
    every x tick label/.append style={%
    },%
    every y tick label/.append style={%
    },%
    every z tick label/.append style={%
    },%
    %
    % Grid styles
    every major grid/.append style={%
      dashed,%
      draw=\tikzustuttget{major grid color},%
    },%
    every minor grid/.append style={%
      loosely dashed,%
      draw=\tikzustuttget{minor grid color},%
    },%
    %
    % Axes titles
    every axis title/.append style={%
      % font=\relsize{-1},%
      color=\tikzustuttget{title color},%
    },%
  },%
  % Default 3D plot style
  line plot 3d/.style={%
    % Inherit
    plot base 3d,%
  },%
  %
  % Surface plot style
  surface plot/.style={%
    % Inherit
    line plot 3d,%
  },%
}

\tikzustuttset{%
  zoom in spy box/.style={%
    solid,%
    draw=\tikzustuttget{zoom in spy box color},%
    draw opacity=1.00,%
  },%
}

%% END plot styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\endinput
%%
%% End of file `pgfplotsthemeustutt.sty'.
